CLEUSB=Cle8G

COMMON_EXCLUDE=--exclude "__pycache__" --exclude "venv/" --exclude ".git" --exclude ".gitignore"  --exclude ".*" --exclude "**/*.ppm"

VENV="enseignements"

install:
	git config core.hooksPath ./tools/git/hooks/
	python -m venv ~/.venv/$(VENV)
	( \
		. ~/.venv/$(VENV)/bin/activate;\
		pip install -r requirements.txt;\
		)

update:
	( \
		. ~/.venv/$(VENV)/bin/activate;\
		pip install --ignore-installed -r requirements.txt
		)

clean:
	git clean -idx -e venv/ -e video/

sequence:
	sh ./tools/scripts/new_sequence.sh

eval:
	sh ./tools/scripts/new_eval.sh

rsync_cleUSB: clean
	rsync -rtv -u --del --exclude "venv" ./ $(COMMON_EXCLUDE) /run/media/lafrite/$(CLEUSB)/Enseignements
	rsync -rtv -u $(COMMON_EXCLUDE) ../Divers/ /run/media/lafrite/$(CLEUSB)/Divers
	rsync -rtv -u $(COMMON_EXCLUDE) ../Notes/ /run/media/lafrite/$(CLEUSB)/Notes
	rsync -rtv -u $(COMMON_EXCLUDE) ../Productions\ Eleves/ /run/media/lafrite/$(CLEUSB)/Productions


.PHONY:
